﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System.Collections.Generic;
using System.Linq;
using HeuristicLab.Problems.CombinedIntegerVectorClassification;
using HeuristicLab.Problems.DataAnalysis;
using HeuristicLab.Problems.Instances.DataAnalysis;

namespace HeuristicLab.Problems.Instances.ConditionActionClassification {
  public class CombinedIntegerVectorCVSInstanceProvider : ConditionActionInstanceProvider<CombinedIntegerVectorClassificationProblemData> {
    public override CombinedIntegerVectorClassificationProblemData ImportData(string path) {
      TableFileParser csvParser = new TableFileParser();
      csvParser.Parse(path);
      Dataset dataset = new Dataset(csvParser.VariableNames, csvParser.Values);

      CombinedIntegerVectorClassificationProblemData problemData = new CombinedIntegerVectorClassificationProblemData(dataset,
        csvParser.VariableNames.Take(csvParser.VariableNames.Count() - 1), new List<string>() { csvParser.VariableNames.Last() });

      return problemData;
    }
  }
}
